### Hierarchy

- RuleBuilderHeaderComponent

### Implements

- OnInit

## Index

### Inputs

- addGroupLabel
- addNewGroupLabel
- addNewRuleLabel
- addRuleLabel
- groupLogic

### Outputs

- addRule
- groupLogicChange
- removeRule

### Constructors

- constructor

### Properties

- addGroupLabel
- addNewGroupLabel
- addNewRuleLabel
- addRule
- addRuleLabel
- groupLogic
- groupLogicChange
- i18n
- removeRule
- ruleClass

### Methods

- ngOnInit

## Constructors

### constructor

- new RuleBuilderHeaderComponent(i18n: I18n): RuleBuilderHeaderComponent

- - Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:38

  #### Parameters

  - ##### i18n: I18n

  #### Returns RuleBuilderHeaderComponent

## Properties

### addGroupLabel

@Input()
addGroupLabel: string = ''

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:31

### addNewGroupLabel

@Input()
addNewGroupLabel: string = ''

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:32

### addNewRuleLabel

@Input()
addNewRuleLabel: string = ''

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:30

### addRule

@Output()
addRule: EventEmitter<{ id?: string; isGroup?: boolean }> = ...

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:38

### addRuleLabel

@Input()
addRuleLabel: string = ''

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:29

### groupLogic

@Input()
groupLogic: "all" | "any"

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:28

### groupLogicChange

@Output()
groupLogicChange: EventEmitter<any> = ...

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:34

### Protected i18n

i18n: I18n

### removeRule

@Output()
removeRule: EventEmitter<string> = ...

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:36

### ruleClass

@HostBinding({"hostPropertyName":"'class.iot--rule-builder-header'"})
ruleClass: boolean = true

- Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:27

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/rule-builder/rule-builder-header.component.ts:42

  #### Returns void

Generated using TypeDoc